%bcond_without check

%global goipath         github.com/leodido/go-urn
Version:                1.2.1

%gometa

%global common_description %{expand:
Parser for uniform resource names as seen on RFC 2141.}

%global golicenses      LICENSE
%global godocs          docs README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Parser for uniform resource names as seen on RFC 2141

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-1
- initial build
